//============================
//    Name: all-pages.html
//    Desc: All pages
//============================

[data-form-open="true"] {
	display: grid;
}
[data-form-open="false"] {
	display: none;
}



.brief-group-e__container .brief__label {
	cursor default
}

.brief-group__item.item-active {
	display: grid;
}

.preform__container.item-active {
	display: grid;
}
.brief__container.item-active {
	display: grid;
}

.brief-nav__dot.item-active {
	transition .25s __cubic
	background-color $$blue
	animation dots-scale .35s both
}

.brief-group-a__top .brief__item {
	display none
}
.brief-group-a__top .brief__item.item-active {
	display grid
	grid: auto \/repeat(auto-fit, minmax(10rem, 1fr));
	gap: 2rem;
}


 

.brief-group-e__chebox:checked + .brief-group-e__label,
.brief-group-b__chebox:checked + .brief-group-b__label,
.brief-group-a__radio:checked + .brief-group-a__label {
		transition .25s __cubic
		color: $$blue
	&:before {

		transition .25s __cubic
		background-color $$blue
		border 1px solid $$blue
		animation radio-zoom .25s both
	}
}

.brief-group-b__chebox:checked + .brief-group-b__label {
	&:before {
		content: '✓';
		background-color #0000
		font-size: 1.4rem;
		line-height: 0.4;
		animation none
	}
}


.brief-group-c__chebox:checked + .brief-group-c__label {
		transition .25s __cubic
		box-shadow: 0 1px 2px 0 rgba($$blue, .50), 0 2px 6px 2px rgba($$blue, .25);
		border-radius: 1rem 1rem 1rem 1rem;
}


.brief__input:focus + .brief__lodash {
	opacity: 1;
	transform: scaleX(1) translateY(-2px);
	border-radius: 0rem 0rem 1rem 1rem;
}

.anima-phone-true {
	transition: .25s __cubic ;
	animation form-spiner-true .15s both
}
.anima-phone-false {
	transition: .25s __cubic ;
	animation form-spiner-false .22s both
}

.anima-active {
	animation smooth-scale 5s both infinite
}

.fadeMyImage {
	animation fade-my-image .5s both
}


.page-phone__container:hover .page-phone__mask {
	border: 2px solid $$orange;
	background: $$null;
	color: $$white;
	transition .25s __cubic
	user-select none
	width 100%
	&::placeholder {
		color: $$white
	}
	&:focus::placeholder {
		user-select none
	}
}

.hdr__menu.item-active > {
	&:nth-child(1) {
		transform	rotate(45deg) translateY(1.04rem)
	}
	&:nth-child(2) {
		width 0
	}
	&:nth-child(3) {
		transform	rotate(-45deg) translateY(-1.04rem)
	}
}

.hdr__menu.item-active {
	right 0.55rem
}
.hdr__menu--background.item-active {
	background: #000a;
	margin-top 0
}
.hdr__phone-href:hover .hdr__phone-cyrcle {
	transition .25s __cubic
	background-color #0081ef
}

.page-phone__tooltip[data-tooltips="true"] {
	display grid
	animation opacity-true .3s both
}
.page-phone__tooltip[data-tooltips="false"] {
	animation opacity-false .3s both
}